Page MenuHomePhabricator

Fatal error: Call to a member function registerInputType() on a non-object in SemanticFormsInputs.php on line 175
Closed, ResolvedPublic

Description

When running php5 phpunit.php with attachment 16112 and some more extensions, on master, labs-vagrant (Ubuntu 2014-04):

Fatal error: Call to a member function registerInputType() on a non-object in /srv/vagrant/mediawiki/extensions/SemanticFormsInputs/SemanticFormsInputs.php on line 175

Call Stack:

 0.0010     253072   1. {main}() /srv/vagrant/mediawiki/tests/phpunit/phpunit.php:0
 0.0043     559656   2. require('/srv/vagrant/mediawiki/maintenance/doMaintenance.php') /srv/vagrant/mediawiki/tests/phpunit/phpunit.php:134
 5.0424   24697576   3. require_once('/srv/vagrant/mediawiki/includes/Setup.php') /srv/vagrant/mediawiki/maintenance/doMaintenance.php:94
19.4865   43092112   4. call_user_func() /srv/vagrant/mediawiki/includes/Setup.php:659
19.4888   43301320   5. EchoHooks::initEchoExtension() /srv/vagrant/mediawiki/includes/Setup.php:659
19.4933   43677392   6. Message->text() /srv/vagrant/mediawiki/extensions/Echo/Hooks.php:32
19.4933   43677808   7. Message->toString() /srv/vagrant/mediawiki/includes/Message.php:729
19.4993   44066248   8. Message->transformText() /srv/vagrant/mediawiki/includes/Message.php:666
19.4993   44066432   9. MessageCache->transform() /srv/vagrant/mediawiki/includes/Message.php:986
19.4993   44066528  10. MessageCache->getParser() /srv/vagrant/mediawiki/includes/cache/MessageCache.php:1002
19.4994   44067000  11. Parser->firstCallInit() /srv/vagrant/mediawiki/includes/cache/MessageCache.php:1025
19.5647   45446568  12. wfRunHooks() /srv/vagrant/mediawiki/includes/parser/Parser.php:279
19.5647   45446616  13. Hooks::run() /srv/vagrant/mediawiki/includes/GlobalFunctions.php:4031
20.0435   52848760  14. call_user_func_array() /srv/vagrant/mediawiki/includes/Hooks.php:206
20.0435   52849272  15. wfSFISetup() /srv/vagrant/mediawiki/includes/Hooks.php:206

Version: master
Severity: normal

Details

Reference
bz68959

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:42 AM
bzimport set Reference to bz68959.

Hm, same on SemanticRating:

PHP Stack trace:
PHP 1. {main}() /srv/vagrant/mediawiki/tests/phpunit/phpunit.php:0
PHP 2. require() /srv/vagrant/mediawiki/tests/phpunit/phpunit.php:134
PHP 3. require_once() /srv/vagrant/mediawiki/maintenance/doMaintenance.php:94
PHP 4. call_user_func() /srv/vagrant/mediawiki/includes/Setup.php:659
PHP 5. EchoHooks::initEchoExtension() /srv/vagrant/mediawiki/includes/Setup.php:659
PHP 6. Message->text() /srv/vagrant/mediawiki/extensions/Echo/Hooks.php:32
PHP 7. Message->toString() /srv/vagrant/mediawiki/includes/Message.php:729
PHP 8. Message->transformText() /srv/vagrant/mediawiki/includes/Message.php:666
PHP 9. MessageCache->transform() /srv/vagrant/mediawiki/includes/Message.php:986
PHP 10. MessageCache->getParser() /srv/vagrant/mediawiki/includes/cache/MessageCache.php:1002
PHP 11. Parser->firstCallInit() /srv/vagrant/mediawiki/includes/cache/MessageCache.php:1025
PHP 12. wfRunHooks() /srv/vagrant/mediawiki/includes/parser/Parser.php:279
PHP 13. Hooks::run() /srv/vagrant/mediawiki/includes/GlobalFunctions.php:4031
PHP 14. call_user_func_array() /srv/vagrant/mediawiki/includes/Hooks.php:206
PHP 15. {closure:/srv/vagrant/mediawiki/extensions/SemanticRating/SemanticRating.php:74-102}() /srv/vagrant/mediawiki/includes/Hooks.php:206

Foxtrott removed Foxtrott as the assignee of this task.Feb 8 2016, 10:01 PM
Foxtrott triaged this task as Medium priority.
Foxtrott set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2016, 10:01 PM
Yaron_Koren closed this task as Resolved.Jun 12 2017, 7:45 PM
Yaron_Koren claimed this task.
Yaron_Koren added a subscriber: Yaron_Koren.

I assume these have been resolved... anyone should feel free to re-open if not.

Well, I haven't tested again since then.